Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
settings
Get Settings
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/settings \
  --header 'token: <api-key>'
{
  "sid": "<string>",
  "deploymentSid": "<string>",
  "applicationSid": "<string>",
  "defaultCourseOfferingSid": "<string>",
  "name": "<string>",
  "defaultCurrencyCode": "<string>",
  "defaultTimezone": "<string>",
  "requireManagerProctorApproval": true,
  "requireManagerExamApproval": true,
  "smarterIdEnabled": true,
  "examNotes": "<string>",
  "enableWrittenExams": true,
  "defaultNewExamType": "<string>",
  "hidePermittedItemFields": [
    "<string>"
  ],
  "proctorTypes": [
    {
      "sid": "<string>",
      "status": "<string>",
      "automaticallyApprove": true,
      "proctorTypeSubCategorySid": "<string>",
      "sessionConfigurationSid": "<string>",
      "reconnectionLockoutPeriod": 123,
      "reconnectionInSessionLockoutPeriod": 123,
      "maxReconnectionAttempts": 123,
      "modalityOptionPresetSid": "<string>"
    }
  ],
  "enabled": true,
  "createdDate": "<string>",
  "editDate": "<string>",
  "facialProcessing": "<string>",
  "pauseForProctorReview": true,
  "allowedExtensionIds": [
    "<string>"
  ],
  "mandatoryRoomScanVideo": true,
  "secureSessionStatus": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Must match the pattern AI followed by 32 hex characters.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

Response

200 - application/json

Successful

sid
string | null

Install SID

deploymentSid
string | null

Deployment SID

applicationSid
string | null

Application SID

defaultCourseOfferingSid
string | null

Default course offering SID

name
string | null

Install name

defaultCurrencyCode
string | null

Default currency code

defaultTimezone
string | null

Default timezone

requireManagerProctorApproval
boolean | null

Require manager proctor approval

requireManagerExamApproval
boolean | null

Require manager exam approval

smarterIdEnabled
boolean | null

SmarterID enabled

examNotes
string | null

Exam notes

enableWrittenExams
boolean | null

Enable written exams

defaultNewExamType
string | null

Default new exam type

hidePermittedItemFields
string[] | null

Hidden permitted item fields

proctorTypes
object[]

Proctor types

enabled
boolean | null

Whether install is enabled

createdDate
string | null

Created date

editDate
string | null

Last modified date

facialProcessing
string | null

Facial processing mode

pauseForProctorReview
boolean | null

Pause for proctor review

allowedExtensionIds
string[] | null

Allowed extension IDs

mandatoryRoomScanVideo
boolean | null

Mandatory room scan video

secureSessionStatus
string | null

Secure session status